Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# EC_Default_Factory.cpp File Reference

`#include "EC_Default_Factory.h"`
`#include "EC_MT_Dispatching.h"`
`#include "EC_Basic_Filter_Builder.h"`
`#include "EC_Prefix_Filter_Builder.h"`
`#include "EC_ConsumerAdmin.h"`
`#include "EC_SupplierAdmin.h"`
`#include "EC_ProxyConsumer.h"`
`#include "EC_ProxySupplier.h"`
`#include "EC_Trivial_Supplier_Filter.h"`
`#include "EC_Per_Supplier_Filter.h"`
`#include "EC_ObserverStrategy.h"`
`#include "EC_Null_Scheduling.h"`
`#include "EC_Group_Scheduling.h"`
`#include "EC_Reactive_Timeout_Generator.h"`
`#include "EC_Event_Channel.h"`
`#include "EC_Reactive_ConsumerControl.h"`
`#include "EC_Reactive_SupplierControl.h"`
`#include "orbsvcs/ESF/ESF_Proxy_List.h"`
`#include "orbsvcs/ESF/ESF_Proxy_RB_Tree.h"`
`#include "orbsvcs/ESF/ESF_Immediate_Changes.h"`
`#include "orbsvcs/ESF/ESF_Copy_On_Read.h"`
`#include "orbsvcs/ESF/ESF_Copy_On_Write.h"`
`#include "orbsvcs/ESF/ESF_Delayed_Changes.h"`
`#include "orbsvcs/ESF/ESF_Delayed_Command.h"`
`#include "tao/ORB_Core.h"`
`#include "ace/Arg_Shifter.h"`
`#include "ace/Sched_Params.h"`
`#include "EC_Default_Factory.i"`

Include dependency graph for EC_Default_Factory.cpp:

## Typedefs
typedef TAO_ESF_Proxy_List< TAO_EC_ProxyPushConsumer >::Iterator | TAO_EC_Consumer_List_Iterator
typedef TAO_ESF_Proxy_RB_Tree< TAO_EC_ProxyPushConsumer >::Iterator | TAO_EC_Consumer_RB_Tree_Iterator
typedef TAO_ESF_Proxy_List< TAO_EC_ProxyPushSupplier >::Iterator | TAO_EC_Supplier_List_Iterator
typedef TAO_ESF_Proxy_RB_Tree< TAO_EC_ProxyPushSupplier >::Iterator | TAO_EC_Supplier_RB_Tree_Iterator
## Functions
const char * | get_rcsid_Event_EC_Default_Factory (const char *)
| ACE_STATIC_SVC_DEFINE (TAO_EC_Default_Factory, ACE_TEXT("EC_Factory"), ACE_SVC_OBJ_T,&ACE_SVC_NAME(TAO_EC_Default_Factory), ACE_Service_Type::DELETE_THIS|ACE_Service_Type::DELETE_OBJ, 0) ACE_FACTORY_DEFINE(TAO_RTEvent
## Variables
const char * | rcsid_Event_EC_Default_Factory = get_rcsid_Event_EC_Default_Factory ( rcsid_Event_EC_Default_Factory )

## Typedef Documentation

typedef TAO_ESF_Proxy_List<TAO_EC_ProxyPushConsumer>::Iterator TAO_EC_Consumer_List_Iterator

typedef TAO_ESF_Proxy_RB_Tree<TAO_EC_ProxyPushConsumer>::Iterator TAO_EC_Consumer_RB_Tree_Iterator

typedef TAO_ESF_Proxy_List<TAO_EC_ProxyPushSupplier>::Iterator TAO_EC_Supplier_List_Iterator

typedef TAO_ESF_Proxy_RB_Tree<TAO_EC_ProxyPushSupplier>::Iterator TAO_EC_Supplier_RB_Tree_Iterator

## Function Documentation

ACE_STATIC_SVC_DEFINE | ( | TAO_EC_Default_Factory | ,
|  | ACE_TEXT("EC_Factory") | ,
|  | ACE_SVC_OBJ_T | ,
|  | &ACE_SVC_NAME(TAO_EC_Default_Factory) | ,
|  | ACE_Service_Type::DELETE_THIS|ACE_Service_Type::DELETE_OBJ | ,
|  | 0 |
| ) |

const char* get_rcsid_Event_EC_Default_Factory | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_Event_EC_Default_Factory = get_rcsid_Event_EC_Default_Factory ( rcsid_Event_EC_Default_Factory )`[static]`